View Issue Details

IDProjectCategoryView StatusLast Update
0001797MediaMonkey (current)Install/Configpublic2015-09-30 16:23
Reporterrusty Assigned To 
PriorityimmediateSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Target Version4.1.6Fixed in Version4.1.9 
Summary0001797: Add empty winamp.exe and winamp.ini files to /MediaMonkey directory (Norton security issues)
DescriptionThis was suggested by Lowlander as a means of getting Winamp installers to work correctly with MediaMonkey. I tested it out and it works!

All we have to do is modify the installer to copy a blank file called winamp.exe to the mm directory.
Additional InformationConfirmed that this fixed Ticket
http://www.mediamonkey.com/support/staff/index.php?_m=tickets&_a=viewticket&ticketid=109
TagsNo tags attached.
Fixed in build1763

Activities

rusty

2006-07-11 21:15

administrator   ~0007445

Note: I've been using MM in this manner for months without a problem.

jiri

2006-07-12 11:12

administrator   ~0007457

I'm quite reluctant to do so. It could cause users to wonder why such a file is present in MediaMonkey installation. Question is, how many users actually need this hack...

rusty

2006-07-12 12:19

administrator   ~0007458

Support questions about how to install plugins are fairly common, and a large % of the plug-ins check for such a file. I would suggest adding it to the alphas and if it triggers any problems, then we can remove it.

jiri

2006-07-12 12:30

administrator   ~0007459

I don't think it will create problems (well, maybe some antiviruses could complain about zero size executable).

Maybe we could at least make it a very small executable that would start MediaMonkey.exe in the same folder.

rusty

2006-07-12 13:14

administrator   ~0007460

Sure--that's fine (though I'm not sure if it's really necessary).

jiri

2006-07-12 13:30

administrator   ~0007461

There were two reasons:
 - There won't be an .exe that would be zero size (possible problems?).
 - After clicking it, MM will be started instead of showing an error message.

jiri

2006-08-10 14:36

administrator   ~0007714

Peke, please create a very small executable that will only execute MediaMonkey.exe in the same folder. Store the project in Helpers folder, create a building batch for it at Mp3Datab\Builds folder, file LibBuild_Winamp.bat (see other batched there for an example) and call it from LibBuildAll.bat. (The batch should copy WinAmp.exe to SetupFiles folder.

peke

2006-09-03 20:52

developer   ~0007838

Done In Build 1492.

jiri

2006-09-03 22:46

administrator   ~0007841

Included in build 1004.

rusty

2006-09-22 19:20

administrator   ~0007931

Verified 1005.

peke

2008-02-23 19:15

developer   ~0013197

Last edited: 2008-02-23 19:16

Reopenning as i noticed that some installations also need fake winamp.ini in MediaMonkey Folder.
I wanted to know would it be good that we add this here or as simple empty txt file?

Reference Forum post:
http://www.mediamonkey.com/forum/viewtopic.php?t=26064&highlight=dfx

jiri

2008-02-23 21:38

administrator   ~0013199

Fixed in build 1141.

rusty

2008-03-20 19:20

administrator   ~0013422

Verified that an empty file is installed.

Ludek

2015-01-18 13:09

developer   ~0041755

Last edited: 2015-01-18 13:09

View 2 revisions

User has noticed that winamp.exe is quarantined by Norton,
see details here:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=60132&start=15#p401000

Do we still need winamp.exe be bundled with MM installer?

peke

2015-01-18 13:24

developer   ~0041756

Unless there is winamp.exe in installation folder than winamp designed plugins in 99% of cases will not allow plugins to install so yes we need to have it with installation.

Problem with blank file is that some of installations request winamp start after installation in order to complete it successfully.

Ludek

2015-01-18 13:34

developer   ~0041757

OK, what are you suggesting Rusty? Leaving winamp.exe in MM installer and contact Norton about the winamp.exe issue?

rusty

2015-02-05 14:45

administrator   ~0041965

Last edited: 2015-02-05 14:49

View 2 revisions

I suggest that Peke tests this out and verifies whether it's still an issue. In the past, norton has usually fixed the false positive at their end.

Trial version available here: http://us.norton.com/downloads-trial-norton-antivirus

If the problem persists I'll contact them again.

peke

2015-02-08 12:58

developer   ~0041986

No issues on my end using trial version after 7 day of usage, guess they fixed false positive.

peke

2015-02-16 23:31

developer   ~0042075

Closed False positive on Norton Side

Ludek

2015-09-30 13:25

developer   ~0043013

Last edited: 2015-09-30 13:25

View 2 revisions

This issue is raised again:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=82231&start=15#p414497

The user wrote that he uses winamp.exe from an older version of MM.

Looking into it the true is that alhought WinAmp.exe from subsequent builds has same size, they are slightly different compared bit by bit.
Maybe due to compilation ?
So it makes sense to fix this and make the winamp.exe file permanent (bit by bit) and not run re-compilation each time a new build is creating.

In addition the one from 1758 is really larger

We should make WinAmp.exe file permanent

Ludek

2015-09-30 13:39

developer   ~0043014

Fixed in 4.1.9.1763

i.e. made WinAmp.exe permanent (used that one from build 4.1.8.1751)

peke

2015-09-30 16:23

developer   ~0043016

Verified 1763